curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/social \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isFollowWithRequestEnabled": false,
"isAllowEditPostWhenReviewingEnabled": true,
"isAllowEditCommentWhenReviewingEnabled": true,
"showOnlyMyFeed": false,
"showMyPost": true,
"showEveryonePost": true,
"showCommunityPost": true,
"showFollowingPost": true,
"isAllowMentionedChannelEnabled": true,
"disallowNonMemberInteractInCommunity": true,
"storyExpiryTimeMinutes": 1440,
"allowAllUserToCreateStory": true,
"allowJoinPrivateCommunity": true,
"maxGlobalPinnedPost": 1
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/social"
payload = {
"isFollowWithRequestEnabled": False,
"isAllowEditPostWhenReviewingEnabled": True,
"isAllowEditCommentWhenReviewingEnabled": True,
"showOnlyMyFeed": False,
"showMyPost": True,
"showEveryonePost": True,
"showCommunityPost": True,
"showFollowingPost": True,
"isAllowMentionedChannelEnabled": True,
"disallowNonMemberInteractInCommunity": True,
"storyExpiryTimeMinutes": 1440,
"allowAllUserToCreateStory": True,
"allowJoinPrivateCommunity": True,
"maxGlobalPinnedPost": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isFollowWithRequestEnabled: false,
isAllowEditPostWhenReviewingEnabled: true,
isAllowEditCommentWhenReviewingEnabled: true,
showOnlyMyFeed: false,
showMyPost: true,
showEveryonePost: true,
showCommunityPost: true,
showFollowingPost: true,
isAllowMentionedChannelEnabled: true,
disallowNonMemberInteractInCommunity: true,
storyExpiryTimeMinutes: 1440,
allowAllUserToCreateStory: true,
allowJoinPrivateCommunity: true,
maxGlobalPinnedPost: 1
})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/social', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"userPrivacySetting": "public",
"membershipAcceptance": "automatic",
"isFollowWithRequestEnabled": false,
"isAllowEditPostWhenReviewingEnabled": true,
"isAllowEditCommentWhenReviewingEnabled": true,
"disallowNonMemberInteractInCommunity": true,
"allowJoinPrivateCommunity": false,
"globalFeed": {
"showOnlyMyFeed": false,
"showMyPost": true,
"showEveryonePost": true,
"showCommunityPost": true,
"showFollowingPost": true,
"maxGlobalPinnedPost": 123
},
"story": {
"expiryTimeMinutes": 720,
"allowAllUserToCreateStory": false
}
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Update social configuration.
Update social configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
information for a network setting
public, private Allow the author of a comment held for review to edit it while it waits for a decision.
60 <= x <= 1440Allow all user to create story (default will allow only user that have permission to create story)
Controls whether users can join private communities directly or need to be added by moderators.
true- Allow users to join private communities by themselvesfalse- Users need to be added to join private communities
⚠️ DEPRECATED NOTICE
Community moderators are now be able to respond whether to allow users to become members of private communities.
Maximum number of global pinned post (only super admin)
1 <= x <= 20Response
Social configuration
public, private Controls how users can join the network
invitation, automatic Whether the author of a comment held for review may still edit it while it waits for a decision. Turning it off freezes the comment until a reviewer decides.
Show child attributes
Show child attributes
Show child attributes
Show child attributes